Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ColumnHintHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.ColumnHintHandle

    public class ColumnHintHandle

extends StructureHandle

Represents the handle of column hint. The column hint provides the hint about result set columns.

Column Name
  a column hint has a required name. It keys the column hint to a column within the result set.
Alias
  a column hint has an optional alias. It provides an ??alias?? name used for the column within the report.
Searching
  a column hint has an optional searching. It indicates how the column will be used when searching.
Export
  a column hint has an optional export. It determines how the column will be used when exporting data.
Analysis
  a column hint has an optional analysis. It determines how the column is used when exporting the data to an OLAP cube.
Parent Level
  a column hint has an optional parent level. It is used when a column??s `ANALYSIS_MEMBER` property is set to `ANALYSIS_TYPE_DIMENSION` or `ANALYSIS_TYPE_DETAIL`. For `ANALYSIS_TYPE_DIMENSION`, this property establishes the dimension hierarchy.
Format
  a column hint has an optional format. It is used to format the column data when displaying the value in the viewing UI, especially within the search results.
Display Name
  a column hint has an optional display name. It provides the an optional localizable display name for the column.
Display Name ID
  a column hint has an optional display name ID. It provides the key to localize the display name.
Help Text
  a column hint has an optional help text. It provides optional localizable descriptive text that explains the column to the end user.
Help Text ID
  a column hint has an optional help text ID. It provides the key to localize the help text.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`ColumnHintHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of computed column.

Method Summary
`java.lang.String` | `getAlias()` Returns the alias name of this column.
`java.lang.String` | `getAnalysis()` Returns the analysis option.
`java.lang.String` | `getColumnName()` Returns the column name.
`java.lang.String` | `getDisplayName()` Returns the display name.
`java.lang.String` | `getDisplayNameKey()` Returns the resource key for display name.
`java.lang.String` | `getExport()` Returns the export option.
`java.lang.String` | `getFormat()` Returns the format option.
`java.lang.String` | `getHelpText()` Returns the help text.
`java.lang.String` | `getHelpTextKey()` Returns the resource key for help text.
`java.lang.String` | `getParentLevel()` Returns the parent level.
`java.lang.String` | `getSearching()` Returns the searching option.
`void` | `setAlias(java.lang.String alias)` Sets the alias name of this column.
`void` | `setAnalysis(java.lang.String analysis)` Sets the analysis option.
`void` | `setColumnName(java.lang.String columnName)` Sets the column name.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name.
`void` | `setDisplayNameKey(java.lang.String displayNameResourceKey)` Sets the resource key for display name.
`void` | `setExport(java.lang.String export)` Sets the export option.
`void` | `setFormat(java.lang.String format)` Sets the format option.
`void` | `setHelpText(java.lang.String helpText)` Sets the help text.
`void` | `setHelpTextKey(java.lang.String helpTextResourceKey)` Sets the resource key for help text.
`void` | `setParentLevel(java.lang.String parentLevel)` Sets the parent level.
`void` | `setSearching(java.lang.String searching)` Sets the searching option.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnHintHandle

    public ColumnHintHandle(SimpleValueHandle valueHandle,
                            int index)

  Constructs the handle of computed column.

  Parameters:
    `valueHandle` - the value handle for computed column list of one property
    `index` - the position of this computed column in the list

Method Detail

### getAlias

    public java.lang.String getAlias()

  Returns the alias name of this column.

  Returns:
    the alias name of this column

### setAlias

    public void setAlias(java.lang.String alias)

  Sets the alias name of this column.

  Parameters:
    `alias` - the alias name to set

### getAnalysis

    public java.lang.String getAnalysis()

  Returns the analysis option. The possible values are defined in `DesignChoiceConstants`, and they are
  - ANALYSIS_TYPE_AUTO
  - ANALYSIS_TYPE_DIMENSION
  - ANALYSIS_TYPE_MEASURE
  - ANALYSIS_TYPE_DETAIL
  - ANALYSIS_TYPE_NONE

  Returns:
    the analysis option

### setAnalysis

    public void setAnalysis(java.lang.String analysis)
                     throws SemanticException

  Sets the analysis option. The allowed values are defined in `DesignChoiceConstants`, and they are
  - ANALYSIS_TYPE_AUTO
  - ANALYSIS_TYPE_DIMENSION
  - ANALYSIS_TYPE_MEASURE
  - ANALYSIS_TYPE_DETAIL
  - ANALYSIS_TYPE_NONE

  Parameters:
    `analysis` - the analysis option to set
  Throws:
    `SemanticException` - if the analysis is not in the choice list.

### getColumnName

    public java.lang.String getColumnName()

  Returns the column name.

  Returns:
    the column name

### setColumnName

    public void setColumnName(java.lang.String columnName)
                       throws SemanticException

  Sets the column name.

  Parameters:
    `columnName` - the column name to set
  Throws:
    `SemanticException` - value required exception.

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name.

  Returns:
    the display name

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the display name.

  Parameters:
    `displayName` - the display name to set

### getDisplayNameKey

    public java.lang.String getDisplayNameKey()

  Returns the resource key for display name.

  Returns:
    the resource key for display name

### setDisplayNameKey

    public void setDisplayNameKey(java.lang.String displayNameResourceKey)

  Sets the resource key for display name.

  Parameters:
    `displayNameResourceKey` - the resource key to set

### getExport

    public java.lang.String getExport()

  Returns the export option. The possible values are defined in `DesignChoiceConstants`, and they are
  - EXPORT_TYPE_NONE
  - EXPORT_TYPE_IF_REALIZED
  - EXPORT_TYPE_ALWAYS

  Returns:
    the export option

### setExport

    public void setExport(java.lang.String export)
                   throws SemanticException

  Sets the export option. The allowed values are defined in `DesignChoiceConstants`, and they are
  - EXPORT_TYPE_NONE
  - EXPORT_TYPE_IF_REALIZED
  - EXPORT_TYPE_ALWAYS

  Parameters:
    `export` - the export option to set
  Throws:
    `SemanticException` - if the export is not in the choice list.

### getFormat

    public java.lang.String getFormat()

  Returns the format option.

  Returns:
    the format option

### setFormat

    public void setFormat(java.lang.String format)

  Sets the format option.

  Parameters:
    `format` - the format option to set

### getHelpText

    public java.lang.String getHelpText()

  Returns the help text.

  Returns:
    the help text.

### setHelpText

    public void setHelpText(java.lang.String helpText)

  Sets the help text.

  Parameters:
    `helpText` - the help text to set

### getHelpTextKey

    public java.lang.String getHelpTextKey()

  Returns the resource key for help text.

  Returns:
    the resource key for help text

### setHelpTextKey

    public void setHelpTextKey(java.lang.String helpTextResourceKey)

  Sets the resource key for help text.

  Parameters:
    `helpTextResourceKey` - the resource key to set

### getParentLevel

    public java.lang.String getParentLevel()

  Returns the parent level.

  Returns:
    the parent level

### setParentLevel

    public void setParentLevel(java.lang.String parentLevel)

  Sets the parent level.

  Parameters:
    `parentLevel` - the parent level to set

### getSearching

    public java.lang.String getSearching()

  Returns the searching option. The possible values are defined in `DesignChoiceConstants`, and they are
  - SEARCH_TYPE_ANY
  - SEARCH_TYPE_INDEXED
  - SEARCH_TYPE_NONE

  Returns:
    the searching option

### setSearching

    public void setSearching(java.lang.String searching)
                      throws SemanticException

  Sets the searching option. The allowed values are defined in `DesignChoiceConstants`, and they are
  - SEARCH_TYPE_ANY
  - SEARCH_TYPE_INDEXED
  - SEARCH_TYPE_NONE

  Parameters:
    `searching` - the searching option to set
  Throws:
    `SemanticException` - if the searching is not in the choice list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.